AM261x MCU+ SDK: Function Driver notification routines

| AM261x MCU+ SDK 26.00.00 |

Functions
Function Driver notification routines
APIs for SOC Specific Device Drivers » APIs for USB » APIs for Synopsys driver

## Introduction

These routines receive notifications from the PCD when certain events occur which the Function Driver may need to be aware of.

## Functions
int | dwc_usb3_gadget_connect (dwc_usb3_pcd_t *pcd, int speed)
| This routine receives Connect notifications from the PCD. More...
int | dwc_usb3_gadget_disconnect (dwc_usb3_pcd_t *pcd)
| This routine receives Disconnect notifications from the PCD. More...
int | dwc_usb3_gadget_suspend (dwc_usb3_pcd_t *pcd)
| This routine receives Suspend notifications from the PCD. More...
int | dwc_usb3_gadget_resume (dwc_usb3_pcd_t *pcd)
| This routine receives Resume notifications from the PCD. More...
int | dwc_usb3_gadget_setup (dwc_usb3_pcd_t *pcd, usb_device_request_t *ctrl)
| This routine receives Setup request notifications from the PCD. More...
int | dwc_usb3_gadget_complete (dwc_usb3_pcd_t *pcd, dwc_usb3_pcd_ep_t *ep, dwc_usb3_pcd_req_t *pcd_req, int status)
| This routine receives Transfer Complete notifications from the PCD. More...

## Function Documentation

## ◆ dwc_usb3_gadget_connect()

int dwc_usb3_gadget_connect | ( | dwc_usb3_pcd_t * | pcd,
|  | int | speed
| ) |  |

This routine receives Connect notifications from the PCD.

Parameters

  pcd | Programming view of DWC_usb3 peripheral controller.
  speed | Speed of the connection (as defined in usb.h).

Returns
  0 for success, else negative error code.

## ◆ dwc_usb3_gadget_disconnect()

int dwc_usb3_gadget_disconnect | ( | dwc_usb3_pcd_t * | pcd | ) |

This routine receives Disconnect notifications from the PCD.

Parameters

  pcd | Programming view of DWC_usb3 peripheral controller.

Returns
  0 for success, else negative error code.

## ◆ dwc_usb3_gadget_suspend()

int dwc_usb3_gadget_suspend | ( | dwc_usb3_pcd_t * | pcd | ) |

This routine receives Suspend notifications from the PCD.

Parameters

  pcd | Programming view of DWC_usb3 peripheral controller.

Returns
  0 for success, else negative error code.

## ◆ dwc_usb3_gadget_resume()

int dwc_usb3_gadget_resume | ( | dwc_usb3_pcd_t * | pcd | ) |

This routine receives Resume notifications from the PCD.

Parameters

  pcd | Programming view of DWC_usb3 peripheral controller.

Returns
  0 for success, else negative error code.

## ◆ dwc_usb3_gadget_setup()

int dwc_usb3_gadget_setup | ( | dwc_usb3_pcd_t * | pcd,
|  | usb_device_request_t * | ctrl
| ) |  |

This routine receives Setup request notifications from the PCD.

Parameters

  pcd | Programming view of DWC_usb3 peripheral controller.
  ctrl | Pointer to the Setup packet for the request.

Returns
  0 for success, else negative error code.

## ◆ dwc_usb3_gadget_complete()

int dwc_usb3_gadget_complete | ( | dwc_usb3_pcd_t * | pcd,
|  | dwc_usb3_pcd_ep_t * | pcd_ep,
|  | dwc_usb3_pcd_req_t * | pcd_req,
|  | int | status
| ) |  |

This routine receives Transfer Complete notifications from the PCD.

Parameters

  pcd | Programming view of DWC_usb3 peripheral controller.
  pcd_ep | PCD EP for the transfer.
  pcd_req | PCD request for the transfer.
  status | Transfer status, 0 for success else negative error code.

Returns
  0 for success, else negative error code.